# For Haskell Packaging Guidelines see:
# - https://fedoraproject.org/wiki/Packaging:Haskell
# - https://fedoraproject.org/wiki/PackagingDrafts/Haskell

# Link Haskell libs statically for 3x faster startup speed.
%define ghc_without_dynamic 1

Name:           scripts-static-cat
Version:        0.0
Release:        0.%{scriptsversion}%{?dist}
Summary:        static-cat for scripts.mit.edu

Group:          Applications/System
License:        GPL
URL:            http://scripts.mit.edu/
Source0:        %{name}.tar.gz
# fedora ghc archs:
ExclusiveArch:  %{ix86} x86_64 ppc alpha sparcv9
BuildRequires:  ghc-devel
# macros for building haskell packages
BuildRequires:  ghc-rpm-macros >= 0.7.0
BuildRequires:  ghc-cgi-devel >= 3001.1.8, ghc-MonadCatchIO-mtl-devel, ghc-unix-handle-devel

%description
static-cat is a binary for serving static content on scripts.mit.edu.


%prep
%setup -q -n %{name}


%build
%ghc_bin_build


%install
%ghc_bin_install


%files
%defattr(-,root,root,-)
%attr(755,root,root) %{_bindir}/static-cat


%changelog
* Mon May  2 2011 Alexander Chernyakhovsky <achernya@mit.edu> - 0.0-0
- regenerated packaging with cabal2spec-0.22.5

* Thu Sep  9 2010 Anders Kaseorg <andersk@mit.edu> - 0.0-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.1
